document.getElementById("codigo").addEventListener("keyup",getCodigos)

function getCodigos(){
    let codigo= document.getElementById("codigo").value
    let lista= document.getElementById("lista")
    let actividad= document.getElementById("actEconomica").value
    if(codigo.length>0){
        let url=base_url+"Pedidos/mostrar_productos"
        let formData=new FormData()
        formData.append("codigo",codigo)
        formData.append("actividad", actividad);
        fetch(url,{
            method: "POST",
            body:formData,
            mode:"cors"
        }).then(response => response.json())
        .then(data => {
            lista.style.display= 'block'
            lista.innerHTML=data
        }).catch(err=>console.log(err))

    }else{
        lista.style.display='none'
    }

    
}

function obtenerProd(cod) {
    console.log(cod);
    document.getElementById("codigo").value=cod;
    buscarProducto()
    lista.style.display='none'
}



document.getElementById("nombre_producto").addEventListener("keyup",getNombres)

function getNombres(){

    let nombre= document.getElementById("nombre_producto").value
    let lista2= document.getElementById("lista2")
    let actividad= document.getElementById("actEconomica").value
    if(nombre.length>0){
        console.log(nombre)
        let url=base_url+"Pedidos/mostrar_productos_n"
        let formData=new FormData()
        formData.append("nombre_producto",nombre)
        formData.append("actividad", actividad);
        fetch(url,{
            method: "POST",
            body:formData,
            mode:"cors"
        }).then(response => response.json())
        .then(data => {
            lista2.style.display= 'block'
            lista2.innerHTML=data
        }).catch(err=>console.log(err))

    }else{
        lista2.style.display='none'
    }

    
}

function obtenerProdN(cod) {
    console.log(cod);
    document.getElementById("codigo").value=cod;
    buscarProducto()
    lista2.style.display='none'

}